HTML To PDF
============

Thanks for trying ExpertPDF HTML To PDF converter library.
At least .NET Framework 2.0 is required to be able to use it.
The component also works with .NET 3.0, .NET 3.5 (Visual Studio 2008), .NET 4.0 (Visual Studio 2010 or 2012) and .NET 4.5.x, .NET 4.6.x (Visual Studio 2013, 2015, 2017).
The component can be installed from NuGet:
- .NET Framework version: https://www.nuget.org/packages/ExpertPdfHtmlToPdf/
- .NET Core version: https://www.nuget.org/packages/ExpertPdf.HtmlToPdf.NetCore/

In the archive you have downloaded you will find:

Bin/ephtmltopdf.dll - this is the .NET 2.0 dll you will use in your applications and reference in Visual Studio
Bin/epengine.dll - this is a helper dll also needed but not referenced in Visual Studio project
Bin/.NET_4.0 - .NET4 assemblies

Doc/HtmlToPdf.chm - API reference
Samples/ - folder containing samples for ASP.NET, WinForms in C# or VB.NET for Visual Studio 2005 and 2008 (.NET 2.0 and .NET 3.5)
Samples_NET_4.0/ - folder containing samples for ASP.NET, WinForms in C# or VB.NET for Visual Studio 2010, 2012 and above (.NET 4.0 and above)

For additional support and documentation:
http://www.html-to-pdf.net/Support.aspx
http://www.html-to-pdf.net/FAQ.aspx


Getting started
---------------

1. Add ephtmltopdf.dll and epengine.dll to the bin folder of your application
2. Add a reference in the project to ephtmltopdf.dll.
3. Write your code (see the samples and the API reference for help).

Licensing
---------

A serial number will be emailed to you upon purchasing. To unlock the product, you need to set in your code the serial number, like this:

pdfConverter.LicenseKey = "put your serial number here";


Support
-------

For any problems, contact us: office@html-to-pdf.net

http://www.html-to-pdf.net

